Subject: Rebase a whole tree from one commit to another?

From: Dirk Süsserott <[email-masked]>
Date: Fri, 15 May 2009 21:38:53 +0200

Hi alltogether.

Let's say I have the following history:

     | | | | branch-c
     | | | |
     | | |/  branch-b
     | | |
     | |/    branch-a
     | |
     |/
     | master

Now I checkout master, do some changes, and commit them to the master 
branch. Let's call that new-master:

    | new-master
    | | | | | branch-c
    | | | | |
    | | | |/  branch-b
    | | | |
    | | |/    branch-a
    | | |
    | |/
     \| master

I want to rebase my branches a, b, c to the new master. The clumsy way 
would be:

     git rebase new-master branch-a
     git rebase branch-a   branch-b
     git rebase branch-b   branch-c

The question is: Is there a way to rebase the whole tree (master -> 
branch-a -> branch-b -> branch-c) from master to new-master with a 
single command?

Cheers
   -- Dirk